﻿<table class="tableHeader">
    <tr>
        <td class="thColumn">
            @Html.DevExpress().Label(
        Settings =>
        {
            Settings.ControlStyle.CssClass = "label";
            Settings.Text = "Supplier";
            Settings.ControlStyle.Wrap = DefaultBoolean.False;
        }).GetHtml()
        </td>
        <td class="thColumn">
            @Html.DevExpress().ComboBox(
                edtSetting =>
                {
                    edtSetting.Name = "CB1";
                    edtSetting.SelectedIndex = 0;
                    edtSetting.Properties.Items.Add("5001");
                    edtSetting.Enabled = false;
                    //edtSetting.ControlStyle.BackColor = System.Drawing.Color.Gray;
                    edtSetting.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    edtSetting.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    edtSetting.Width = 110;
                }
            ).GetHtml()
        </td>
        <td colspan="2" style="width:80px">
            @Html.DevExpress().TextBox(
                edtSetting =>
                {
                    edtSetting.Name ="Name";
                    edtSetting.Enabled = false;
                    edtSetting.Text = "AISIN Indonesia";
                    edtSetting.Width = 141;
                    edtSetting.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    //edtSetting.ControlStyle.BackColor = System.Drawing.Color.Gray;
                    edtSetting.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            
                }
            ).GetHtml()
        </td>
        <td class="thColumn" >
            @Html.DevExpress().Label(
                edtSetting =>
                {
                    edtSetting.Text = "Retro Doc No";
                    edtSetting.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td class="thColumn" colspan="3">
            @Html.DevExpress().TextBox(
                edtSetting =>
                {
                    edtSetting.Name = "RetroDecNo";
                    edtSetting.Width = 110;
                }
            ).GetHtml()
        </td>
        <td class="thColumn">
            @Html.DevExpress().Label(
                edtSetting =>
                {
                    edtSetting.Text = "Status Retro";
                    edtSetting.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td class="thColumn">
            @Html.DevExpress().ComboBox(
                edtSetting =>
                {
                    edtSetting.Name = "StatusRetro";
                    edtSetting.Properties.Items.Add("Calculate");
                    edtSetting.Properties.Items.Add("Feedback by supplier");
                    edtSetting.Properties.Items.Add("Approved by FD");
                    edtSetting.Properties.Items.Add("Approved by PuD");
                    edtSetting.Properties.Items.Add("Approved by Supplier");   
                    edtSetting.Properties.Items.Add("Invoiced");
                    edtSetting.Properties.Items.Add("Paid");
                    edtSetting.Width = 110;      
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>       
        <td class="thColumn">
            @Html.DevExpress().Label(
                edtSetting =>
                {
                    edtSetting.Text = "Period";
                    edtSetting.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
           @Html.DevExpress().Label(
                edtSetting =>
                {
                    edtSetting.Text = "*";
                    edtSetting.ControlStyle.Wrap = DefaultBoolean.False;
                    edtSetting.ControlStyle.ForeColor = System.Drawing.Color.Red;
                }
            ).GetHtml()
        </td>
        <td class="thColumn">
            @Html.DevExpress().DateEdit(
                edtSetting =>
                {
                    edtSetting.Name = "PeriodFrom";
                    edtSetting.Width = 110;
                }
            ).GetHtml()
        </td>
        <td class="thColumn">
            @Html.DevExpress().Label(
                edtSetting =>
                {
                    edtSetting.Text = "To";
                }
            ).GetHtml()
           @Html.DevExpress().Label(
                edtSetting =>
                {
                    edtSetting.Text = "*";
                    edtSetting.ControlStyle.Wrap = DefaultBoolean.False;
                    edtSetting.ControlStyle.ForeColor = System.Drawing.Color.Red;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                edtSetting =>
                {
                    edtSetting.Name ="To";
                    edtSetting.Width = 110;
                }
            ).GetHtml()
        </td>
    </tr>
    </table>
 <div style="height:8px;"></div> 
        <table border="0" width="100%">
                <tr>
                    <td align="left" style="width:1px">
                        @Html.DevExpress().Button(
                            edtSetting =>
                            {
                                edtSetting.Name = "Approve2";
                                edtSetting.Text = "Approve";
                                edtSetting.Width = 80;
                            }
                        ).GetHtml()
                    </td>
                    <td align="left">
                        @Html.DevExpress().Button(
                            edtSetting =>
                            {
                                edtSetting.Name = "Download2";
                                edtSetting.Text = "Download";
                                edtSetting.Width = 100;
                            }
                        ).GetHtml()
                    </td>
                    <td width="250px"></td>
                    <td align="right">
                        @Html.DevExpress().Button(
                            edtSetting =>
                            {
                                edtSetting.Name = "Search";
                                edtSetting.Text = "Search";
                                edtSetting.Width = 80;
                            }
                        ).GetHtml()
                    </td>
                    <td align="right" style="width:80px">
                        @Html.DevExpress().Button(
                            edtSetting =>
                            {
                                edtSetting.Name = "Clear";
                                edtSetting.Text = "Clear";
                                edtSetting.Width = 80;
                            }
                        ).GetHtml()
                    </td>
                    <td align="right" style="width:80px">
                        @Html.DevExpress().Button(
                            edtSetting =>
                            {
                                edtSetting.Name = "btnPost";
                                edtSetting.Text = "Post";
                                edtSetting.Width = 80;
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>